Description

Local machine testing of DM algorithms does not work anymore. Further, there are sudden issues now on the Support Vector

Machines algorithms that are preventing their correct work 

Exception in thread "Thread-3259" java.lang.IllegalAccessError: libsvm/Solver$SolutionInfo

 at libsvm.svm.svm_train_one(svm.java:1506)

 at libsvm.svm.svm_train(svm.java:2067)

 at org.gcube.data.analysis.algorithms.supportvectormachine.SVM2ClassOperations.runModel(SVM2Class

Operations.java:1229)

 at org.gcube.data.analysis.algorithms.supportvectormachine.SVM2ClassOperations.runSingleModel(SVM

2ClassOperations.java:270)

 at org.gcube.data.analysis.algorithms.supportvectormachine.SVM2ClassOperations.run(SVM2ClassOpera

tions.java:198)

 The algorithms implementation Wiki is also based on the testing part. Is it possible to restore the old way?

History

#1 - Nov 09, 2017 12:37 PM - Lucio Lelii

- Status changed from New to In Progress

- % Done changed from 0 to 10

#2 - Nov 09, 2017 05:02 PM - Lucio Lelii

I have found the problem. An old version of libsvm is embedded in the rapidminer-custom jar. With the dynamic classloader for algorithms introduced

in Dataminer it create a conflict.

I really don't know how to solve it. Uberjars are evil, the solution is to remove the uberjars from everywhere.

#3 - Nov 09, 2017 05:21 PM - Giancarlo Panichi

A simple solution could be to implement the algorithm as Java Black-Box using the SAI

#4 - Nov 09, 2017 05:23 PM - Pasquale Pagano

can we rebuild the rapidminer-custom jar with an up-to-date version of libsvm? 

#5 - Nov 09, 2017 05:30 PM - Lucio Lelii

- Assignee changed from Lucio Lelii to Giancarlo Panichi

@g.panichi@isti.cnr.it try it on proto and let me know. In case it doesn't work reassign the ticket to me

#6 - Nov 09, 2017 06:38 PM - Giancarlo Panichi

- Assignee changed from Giancarlo Panichi to Lucio Lelii

@lucio.lelii@isti.cnr.it  you know that this algorithm is not developed by me. @scarponi@isti.cnr.it is evaluating the best solution.

#7 - Nov 10, 2017 10:58 AM - Paolo Scarponi

- Priority changed from Urgent to Normal

We may have found a solution, in any case this is not urgent anymore. It's up to Lucio to decide whether to close the incident and open a task, or
switch this one to a task.  

#8 - Nov 10, 2017 12:24 PM - Pasquale Pagano

- Tracker changed from Incident to Task

#9 - Apr 30, 2019 05:37 PM - Lucio Lelii

- Status changed from In Progress to Closed
